Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.image.loader.batik
Class ImageLoaderSVG

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
          org.apache.fop.image.loader.batik.ImageLoaderSVG

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.spi.ImageLoader

    public class ImageLoaderSVG

extends org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader

ImageLoader for SVG (using Apache Batik).

Field Summary

Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader
`MEDIUM_LOADING_PENALTY, NO_LOADING_PENALTY`

Constructor Summary
`ImageLoaderSVG(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)` Main constructor.

Method Summary
`org.apache.xmlgraphics.image.loader.ImageFlavor` | `getTargetFlavor()`
`org.apache.xmlgraphics.image.loader.Image` | `loadImage(org.apache.xmlgraphics.image.loader.ImageInfo info, java.util.Map hints, org.apache.xmlgraphics.image.loader.ImageSessionContext session)`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
`getUsagePenalty, ignoreColorProfile, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageLoaderSVG

    public ImageLoaderSVG(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)

  Main constructor.

  Parameters:
    `targetFlavor` - the target flavor

Method Detail

### getTargetFlavor

    public org.apache.xmlgraphics.image.loader.ImageFlavor getTargetFlavor()

### loadImage

    public org.apache.xmlgraphics.image.loader.Image loadImage(org.apache.xmlgraphics.image.loader.ImageInfo info,
                                                               java.util.Map hints,
                                                               org.apache.xmlgraphics.image.loader.ImageSessionContext session)
                                                        throws org.apache.xmlgraphics.image.loader.ImageException,
                                                               java.io.IOException

  Throws:
    `org.apache.xmlgraphics.image.loader.ImageException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.